## napari-plugin-manager 0.1.4

=== Makefile ===
.PHONY: docs clean

SPHINXOPTS =

mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
current_dir := $(dir $(mkfile_path))
docs_dir := $(current_dir)docs

clean:
	echo clean
	echo $(current_dir)
	rm -rf $(docs_dir)/_build/
	rm -rf $(docs_dir)/images/
	mkdir $(docs_dir)/images/
	cp images/*.png $(docs_dir)/images/

docs-build:
	NAPARI_CONFIG="" NAPARI_APPLICATION_IPY_INTERACTIVE=0 sphinx-build -b html docs/ docs/_build $(SPHINXOPTS)

docs-xvfb:
	NAPARI_CONFIG="" NAPARI_APPLICATION_IPY_INTERACTIVE=0 xvfb-run --auto-servernum sphinx-build -b html docs/ docs/_build $(SPHINXOPTS)

docs: clean docs-build

serve: 
	python -m http.server -d $(docs_dir)/_build
# Implies noplot, but no clean - call 'make clean' manually if needed
# Autogenerated paths need to be ignored to prevent reload loops
html-live:
	NAPARI_APPLICATION_IPY_INTERACTIVE=0 \
	sphinx-autobuild \
		-b html \
		docs/ \
		docs/_build \
		--open-browser \
		--port=0 \
		$(SPHINXOPTS)

html-noplot: clean
	NAPARI_APPLICATION_IPY_INTERACTIVE=0 sphinx-build -b html docs/ docs/_build $(SPHINXOPTS)

linkcheck-files:
	NAPARI_APPLICATION_IPY_INTERACTIVE=0 sphinx-build -b linkcheck --color docs/ docs/_build ${FILES} $(SPHINXOPTS)

## napari-plugin-manager 0.1.1

=== debian/changelog ===
napari-plugin-manager (0.1.1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 22 Oct 2024 13:49:08 +0200

napari-plugin-manager (0.1.1-2) unstable; urgency=low

  * Don't ship testsuite, especially in a place where it'll cause conflicts.

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 18:46:37 +0200

napari-plugin-manager (0.1.1-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 16:59:28 +0200

=== debian/control ===
Source: napari-plugin-manager
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-flaky,
 python3-napari,
 python3-pytest,
 python3-pytestqt,
 python3-qtpy,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2.0
Rules-Requires-Root: no

Package: python3-napari-plugin-manager
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Install plugins for napari, in napari
 This is a napari plugin manager to provide a graphical user interface
 for installing napari plugins.
 .
 The napari-plugin-manager used to be part of the napari codebase
 before the 0.5.x release series. It's now maintained as a separate
 project and package to allow uncoupled iterations outside
 of the `napari` release cycle.

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r napari_plugin_manager/_tests "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2
 ; done
Depends: python3-flaky, python3-napari, python3-pytest, python3-pytestqt, @,
Restrictions: allow-stderr

## napari-plugin-manager 0.1.4

=== debian/changelog ===
napari-plugin-manager (0.1.4-3) unstable; urgency=medium

  * Fix d/control.

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 13:02:58 +0100

napari-plugin-manager (0.1.4-2) unstable; urgency=medium

  * Add missing Depends.

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 12:57:51 +0100

napari-plugin-manager (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Build-Depends.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Mar 2025 17:23:51 +0100

napari-plugin-manager (0.1.1-5) unstable; urgency=medium

  * Also depend on python3-qtpy-pyqt5 rather than python3-qtpy for the
    binary package (Closes: #1089948).

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 16:31:07 +0100

napari-plugin-manager (0.1.1-4) unstable; urgency=medium

  * Depend on python3-qtpy-pyqt5 rather than python3-qtpy (Closes:
    #1089948).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Dec 2024 15:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,26 @@
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all,
- python3-flaky,
- python3-napari,
- python3-pytest,
- python3-pytestqt,
- python3-qtpy,
+ python3-flaky <!nocheck>,
+ python3-napari <!nocheck>,
+ python3-pyqt5.qtopengl <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytestqt <!nocheck>,
+ python3-qtpy-pyqt5 <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
 Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/napari-plugin-manager.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/napari-plugin-manager
 
 Package: python3-napari-plugin-manager
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+ python3-pyqt5.qtopengl,
+ python3-qtpy-pyqt5,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Install plugins for napari, in napari
  This is a napari plugin manager to provide a graphical user interface
  for installing napari plugins.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=napari-plugin-manager
%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

execute_before_dh_auto_test:
	set -e ; for v in $$(py3versions -sv) ; do cp -r napari_plugin_manager/_tests .pybuild/cpython3_$${v}_$(PYBUILD_NAME)/build ; done

override_dh_auto_test:

execute_after_dh_auto_install:
	rm -rfv debian/*/usr/lib/python3*/dist-packages/_tests

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,10 @@
  ; echo "Testing with $py:"
  ; $py -m pytest --verbosity=2
  ; done
-Depends: python3-flaky, python3-napari, python3-pytest, python3-pytestqt, @,
+Depends:
+ python3-flaky,
+ python3-napari,
+ python3-pytest,
+ python3-pytestqt,
+ @,
 Restrictions: allow-stderr

=== debian/watch ===
version=4
# try also https://pypi.debian.net/napari-plugin-manager/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/napari-plugin-manager/napari-plugin-manager-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## napari-plugin-manager 0.1.7

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 docs: clean docs-build
 
-serve: 
+serve:
 	python -m http.server -d $(docs_dir)/_build
 # Implies noplot, but no clean - call 'make clean' manually if needed
 # Autogenerated paths need to be ignored to prevent reload loops

=== debian/changelog ===
napari-plugin-manager (0.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Nov 2025 15:24:30 +0100

napari-plugin-manager (0.1.4-4) unstable; urgency=medium

  * Run testsuite with a window manager.
  * Also, run testsuite at build time (not only autopkgtest).
  * Adapt testsuite for network-less chroot environments.

 -- Roland Mas <lolando@debian.org>  Fri, 09 May 2025 00:59:47 +0200

=== debian/rules ===
#! /usr/bin/make -f

#export PYBUILD_NAME=napari-plugin-manager
export PYBUILD_TEST_ARGS=-m 'not needs_network' -v
%:
	dh $@ --buildsystem=pybuild --test-pytest

execute_after_dh_auto_install:
	rm -rfv debian/*/usr/lib/python3*/dist-packages/_tests

export DISPLAY=:99.0
execute_before_dh_auto_test:
	#set -e ; for v in $$(py3versions -sv) ; do cp -r napari_plugin_manager/_tests .pybuild/cpython3_$${v}_$(PYBUILD_NAME)/build ; done
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
	sleep 5
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace
	sleep 5

execute_after_dh_auto_test:
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r src/napari_plugin_manager/_tests "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; export DISPLAY=:99.0
 ; XDG_BASE="$AUTOPKGTEST_TMP/.xdg"
 ; export XDG_CACHE_HOME="$XDG_BASE/cache"
 ; export XDG_DATA_HOME="$XDG_BASE/data"
 ; export XDG_CONFIG_HOME="$XDG_BASE/config"
 ; export XDG_STATE_HOME="$XDG_BASE/state"
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 -m 'not needs_network'
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --remove-pidfile || true
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --remove-pidfile || true
 ; done
Depends:
 herbstluftwm,
 python3-flaky,
 python3-napari,
 python3-pytest,
 python3-pytestqt,
 python3-virtualenv,
 xvfb,
 @,
Restrictions: allow-stderr

## napari-plugin-manager 0.1.10

=== debian/changelog ===
napari-plugin-manager (0.1.10-2) unstable; urgency=medium

  * Team upload.
  * Build with PyQt6.

 -- Bastian Germann <bage@debian.org>  Fri, 27 Feb 2026 15:04:20 +0100

napari-plugin-manager (0.1.10-1) unstable; urgency=medium

  * Update debian/watch to version 5
  * New upstream release. This fixes Python 3.14 compatibility (closes: #1123153).
  * Add Build-Depends: dbus-daemon for testing.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 16:28:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,20 @@
  Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dbus-daemon <!nocheck>,
+ herbstluftwm <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-flaky <!nocheck>,
  python3-napari <!nocheck>,
- python3-pyqt5.qtopengl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytestqt <!nocheck>,
- python3-qtpy-pyqt5 <!nocheck>,
+ python3-qtpy-pyqt6 <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
+ python3-virtualenv <!nocheck>,
+ xvfb <!nocheck>,
 Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/napari-plugin-manager.git
@@ -25,8 +29,7 @@
 Package: python3-napari-plugin-manager
 Architecture: all
 Depends:
- python3-pyqt5.qtopengl,
- python3-qtpy-pyqt5,
+ python3-qtpy-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
 Description: Install plugins for napari, in napari

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
-#export PYBUILD_NAME=napari-plugin-manager
 export PYBUILD_TEST_ARGS=-m 'not needs_network' -v
+
 %:
 	dh $@ --buildsystem=pybuild --test-pytest

=== debian/watch ===
Version: 5

Template: Github
Owner: napari
Project: napari-plugin-manager
Uversion-Mangle: s/(rc|a|b|c)/~$1/
